# layint-runtime-api
LI Witness provides deep insight and analytics into containerized applications. Control provides dynamic runtime security and analytics for containerized applications. You can find out more about the Layered Insight Suite at [http://layeredinsight.com](http://layeredinsight.com).

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.9.6
- Package version: 0.9.6
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/layeredinsight/layint_runtime_api_python.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/layeredinsight/layint_runtime_api_python.git`)

Then import the package:
```python
import layint_runtime_api 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import layint_runtime_api
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import layint_runtime_api
from layint_runtime_api.rest import ApiException
from pprint import pprint

# Configure API key authorization: ApiKey
layint_runtime_api.configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# layint_runtime_api.configuration.api_key_prefix['Authorization'] = 'Bearer'
# create an instance of the API class
api_instance = layint_runtime_api.ConfigurationApi()
config = layint_runtime_api.Config() # Config |  (optional)

try:
    # Create new configuration definition
    api_response = api_instance.add_config(config=config)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ConfigurationApi->add_config: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://api-stage.layeredinsight.net/v0.01*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ConfigurationApi* | [**add_config**](docs/ConfigurationApi.md#add_config) | **POST** /Configs | Create new configuration definition
*ConfigurationApi* | [**delete_config**](docs/ConfigurationApi.md#delete_config) | **DELETE** /Configs/{configID} | Delete configuration
*ConfigurationApi* | [**get_config**](docs/ConfigurationApi.md#get_config) | **GET** /Configs/{configID} | Get configuration
*ConfigurationApi* | [**get_config_by_name**](docs/ConfigurationApi.md#get_config_by_name) | **GET** /Configs/ByName/{configName} | Get configuration by name
*ConfigurationApi* | [**list_all_configurations**](docs/ConfigurationApi.md#list_all_configurations) | **GET** /Configs | Get configurations
*ConfigurationApi* | [**update_config**](docs/ConfigurationApi.md#update_config) | **POST** /Configs/{configID} | Update configuration
*ContainerApi* | [**build_container_dossier_tempate**](docs/ContainerApi.md#build_container_dossier_tempate) | **GET** /Containers/{containerID}/DossierTemplate | Builds a security policy based on containers behavior
*ContainerApi* | [**delete_container**](docs/ContainerApi.md#delete_container) | **DELETE** /Containers/{containerID} | Delete a container
*ContainerApi* | [**get_container_dossier**](docs/ContainerApi.md#get_container_dossier) | **GET** /Containers/{containerID}/Dossier | Gets dossier for container
*ContainerApi* | [**get_container_logs**](docs/ContainerApi.md#get_container_logs) | **GET** /Containers/{containerID}/GetContainerLogs | Gets behavioral logs for container
*ContainerApi* | [**get_containers**](docs/ContainerApi.md#get_containers) | **GET** /Containers | Get containers
*ContainerApi* | [**toggle_container_sniffer**](docs/ContainerApi.md#toggle_container_sniffer) | **POST** /Containers/{containerID}/ToggleSniffer | Toggles network sniffer
*EventApi* | [**describe_event**](docs/EventApi.md#describe_event) | **GET** /Events/{eventID} | Gets description about specific event
*ImageApi* | [**add_image**](docs/ImageApi.md#add_image) | **POST** /Images | Create new image definition
*ImageApi* | [**assign_configuration_to_image**](docs/ImageApi.md#assign_configuration_to_image) | **POST** /Images/{imageID}/Configs/{configID} | Assign configuration to image
*ImageApi* | [**assign_policy_to_image**](docs/ImageApi.md#assign_policy_to_image) | **POST** /Images/{imageID}/Policies/{policyID} | Assign security policy to image
*ImageApi* | [**delete_image**](docs/ImageApi.md#delete_image) | **DELETE** /Images/{imageID} | Delete specified image
*ImageApi* | [**get_image**](docs/ImageApi.md#get_image) | **GET** /Images/{imageID} | Get specified container image
*ImageApi* | [**get_images**](docs/ImageApi.md#get_images) | **GET** /Images | Get defined container images
*ImageApi* | [**instrument_image**](docs/ImageApi.md#instrument_image) | **POST** /Images/{imageID}/Instrument | Request instrumentation of specified container image
*ImageApi* | [**number_of_instrumented_images**](docs/ImageApi.md#number_of_instrumented_images) | **GET** /Images/NumberOfInstrumentedImages | Returns number of instrumented images
*ImageApi* | [**show_container_running_image**](docs/ImageApi.md#show_container_running_image) | **GET** /Images/{imageID}/Containers | Get specified container image
*ImageApi* | [**update_image**](docs/ImageApi.md#update_image) | **POST** /Images/{imageID} | Update image definition
*PolicyApi* | [**add_policy**](docs/PolicyApi.md#add_policy) | **POST** /Policies | Create new security policy
*PolicyApi* | [**delete_policy**](docs/PolicyApi.md#delete_policy) | **DELETE** /Policies/{policyID} | Delete policy
*PolicyApi* | [**get_containers_running_policy**](docs/PolicyApi.md#get_containers_running_policy) | **GET** /Policies/{policyID}/Containers | Get containers running a specific policy
*PolicyApi* | [**get_policies**](docs/PolicyApi.md#get_policies) | **GET** /Policies | Get all policies
*PolicyApi* | [**get_policy**](docs/PolicyApi.md#get_policy) | **GET** /Policies/{policyID} | Get specific policy
*PolicyApi* | [**get_policy_by_name**](docs/PolicyApi.md#get_policy_by_name) | **GET** /Policies/ByName/{policyName} | Get specific policy by name
*PolicyApi* | [**suspend_policy**](docs/PolicyApi.md#suspend_policy) | **POST** /Policies/{policyID}/Suspend | Suspend security policy
*PolicyApi* | [**update_policy**](docs/PolicyApi.md#update_policy) | **POST** /Policies/{policyID} | Update security policy
*RegistryApi* | [**add_registry**](docs/RegistryApi.md#add_registry) | **POST** /Registries | Create new registry definition
*RegistryApi* | [**delete_registry**](docs/RegistryApi.md#delete_registry) | **DELETE** /Registries/{registryID} | Delete specified registry
*RegistryApi* | [**get_registries**](docs/RegistryApi.md#get_registries) | **GET** /Registries | Get defined registries
*RegistryApi* | [**get_registry**](docs/RegistryApi.md#get_registry) | **GET** /Registries/{registryID} | Get specified registry
*RegistryApi* | [**get_registry_by_name**](docs/RegistryApi.md#get_registry_by_name) | **GET** /Registries/ByName/{registryName} | Get registry by name
*RegistryApi* | [**list_all_images_in_registry**](docs/RegistryApi.md#list_all_images_in_registry) | **GET** /Registries/{registryID}/Images | Get container images in registry
*RegistryApi* | [**update_registry**](docs/RegistryApi.md#update_registry) | **POST** /Registries/{registryID} | Update specified registry


## Documentation For Models

 - [AlertEvents](docs/AlertEvents.md)
 - [Config](docs/Config.md)
 - [Configs](docs/Configs.md)
 - [Container](docs/Container.md)
 - [ContainerLog](docs/ContainerLog.md)
 - [ContainerLogs](docs/ContainerLogs.md)
 - [Containers](docs/Containers.md)
 - [Dossier](docs/Dossier.md)
 - [DossierTemplateResponse](docs/DossierTemplateResponse.md)
 - [Image](docs/Image.md)
 - [Images](docs/Images.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [Limit](docs/Limit.md)
 - [Policies](docs/Policies.md)
 - [Policy](docs/Policy.md)
 - [PolicyRule](docs/PolicyRule.md)
 - [ProcessLimit](docs/ProcessLimit.md)
 - [Registries](docs/Registries.md)
 - [Registry](docs/Registry.md)
 - [ResourceNotFoundError](docs/ResourceNotFoundError.md)
 - [SyscallLimit](docs/SyscallLimit.md)
 - [UnauthorizedError](docs/UnauthorizedError.md)
 - [UpdateConfig](docs/UpdateConfig.md)


## Documentation For Authorization


## ApiKey

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author

help@layeredinsight.com

